Delete items from list
curl --request DELETE \
--url https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId}/items \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
[
{
"itemId": "1234"
},
{
"sku": "SKU_1"
}
]
'import requests
url = "https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId}/items"
payload = [{ "itemId": "1234" }, { "sku": "SKU_1" }]
headers = {
"x-site-context": "<x-site-context>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-site-context': '<x-site-context>', 'Content-Type': 'application/json'},
body: JSON.stringify([{itemId: '1234'}, {sku: 'SKU_1'}])
};
fetch('https://prod01-apigw.{customer_name}.fabric.zone/api-list/list/{listId}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Items successfully added/deleted to list",
"items": [
{
"_id": "5fee9d59f2f08a1b3cbdea08",
"createdAt": "2020-12-31T02:09:53.914Z",
"updatedAt": "2020-12-31T02:09:53.914Z",
"listId": "6155e5f6e311670009aeb478",
"itemId": "1234",
"sku": "SKU_1"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "LIST_NOT_FOUND_ERROR",
"message": "Unable to find list for user user-id and list type 6c6973742074797065206961"
}{
"code": "<string>",
"message": "<string>"
}List
Delete items from list
Delete items from list
DELETE
/
api-list
/
list
/
{listId}
/
items
Delete items from list
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Example:
"0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k"
Path Parameters
Body
application/json
Was this page helpful?
⌘I
